package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Emp_detailsRepository;
import com.realnet.vpspack.Entity.Emp_details;import java.util.List;
import java.util.ArrayList;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;import org.springframework.data.domain.Pageable;
import org.springframework.http.ResponseEntity;
import com.realnet.users.service1.AppUserServiceImpl;
import org.springframework.http.HttpStatus;
import com.realnet.users.entity1.AppUser;










	import org.springframework.stereotype.Service;

@Service
 public class Emp_detailsService {
@Autowired
private Emp_detailsRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;









public Emp_details Savedata(Emp_details data) {










	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Emp_details save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Emp_details> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Emp_details> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Emp_details> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Emp_details getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Emp_details update(Emp_details data,Integer id) {
	Emp_details old = Repository.findById(id).get();
old.setFirst_name(data.getFirst_name());

old.setLast_name(data.getLast_name());

old.setDescription(data.getDescription());

old.setStatus(data.getStatus());

old.setActive (data.isActive());

final Emp_details test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 










 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
